Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2020-02294, UID# 2890
App. Status: Expired

Valid: 09/19/2020 - 09/22/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2597 (09/18/2020)

Charge Cost Quantity Total
Non-Taxable
added 09/18/2020 1:33 PM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 09/18/2020 1:33 PM

Workover Rigs & Cranes 110,001 - 115,000 lbs

$80.00 x 1 $80.00
added 09/18/2020 1:01 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $610.00
Payment 09/18/2020$610.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 09/18/2020 1:02 PM
769715dbe59ad38f7fa24f4f40f044fe
def3133a305d15e18169a0d2de446a7e
 
#1 Permit Issuing OfficialRachel Grimm - 09/18/2020 1:34 PM
87dd9e01d20b12f53b2a3e14db09e090
1aec51aa9f5bd89770155858cde9fa0d
 
Permit has been approved. All signatures have been obtained.